import { rehypeHeadingIds } from '@astrojs/markdown-remark'
import mdx from '@astrojs/mdx'
import sitemap from '@astrojs/sitemap'
import tailwind from '@astrojs/tailwind'
import { defineConfig } from 'astro/config'
import rehypeKatex from 'rehype-katex'
import remarkEmoji from 'remark-emoji'
import remarkMath from 'remark-math'
import remarkToc from 'remark-toc'

// https://astro.build/config
export default defineConfig({
  site: 'https://astro-micro-academic.vercel.app',
  integrations: [tailwind(), sitemap(), mdx()],
  markdown: {
    shikiConfig: {
      theme: 'css-variables',
    },
    rehypePlugins: [rehypeHeadingIds, rehypeKatex],
    remarkPlugins: [remarkToc, remarkMath, remarkEmoji],
  },
  server: { port: 1234, host: true },
})
